import DB
import pickle

class DatabaseAdmin:

	def __init__(self):
		
		# List of all databases
		self.database_list = []
		
	
	def is_empty(self):
		if len(self.database_list) == 0:
			return True
		return False
	
	# add a new database with given name
	def database_add(self, name):
		if not self.database_present(name):
			db = DB.Database(name)
			self.database_list.append(db)
	
	
	
	# delete database with given name
	def database_delete(self, name):
		self.database_list.remove(self.database_select(name))
	
	
	
	# return True if a database with given name is present
	def database_present(self, name):
		for db in self.database_list:
			if db.get_name() == name:
				return True
		return False

	
	
	# return a database with given name
	def database_select(self, name):
		for db in self.database_list:
			if db.get_name() == name:
				return db
		return False
		
		
	# return all databases	
	def database_list(self):
		return self.database_list
	
	
	def to_string(self):
		for db in self.database_list:
			db.to_string()
				
			
	# write everything (data & settings) to hdd
	def save(self):
		p = pickle.Pickler(file("dbfile", "w"), 2) 
		p.dump(self)



