import pygtk
pygtk.require('2.0')
import gtk

class SettingsWindow:
	
	def __init__(self, dba, category):
		self.dba = dba
		self.category = category
		
		self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
		#self.window.connect("destroy", self.destroy)
		
		self.model_menu = gtk.ListStore(str, gtk.gdk.Pixbuf)
		self.menu = gtk.IconView()
		self.menu.set_model(self.model_menu)
		self.menu.set_text_column(0)
		self.menu.set_pixbuf_column(1)
		self.menu.set_columns(1) 	
		self.menu.set_item_width(140)
		self.menu.set_row_spacing(40)
		self.menu.connect("activate-cursor-item", self.menu_handler)
		self.menu.connect("item-activated", self.menu_handler)
		
		
		#bbox = gtk.HBox()
		#label1 = gtk.Label("Label:")
		#labelentry = gtk.Entry()
		#select = gtk
		#label2 = gtk.Label("Value:")
		#valueentry = gtk.Entry()
		
		hbox = gtk.HBox()
		vbox = gtk.VBox()
		label = gtk.Label(self.category.get_name())
		self.text = gtk.TextView()
		if self.item.field_present("Text"):
			self.text.get_buffer().set_text(self.item.field_select("Text").get_value()) ## DEMO!!!!
		hbox.pack_start(self.menu,expand=False)
		hbox.pack_start(vbox,expand=True)
		self.menu.set_size_request(150,100)
		vbox.pack_start(label,expand=False)
		vbox.pack_start(self.text)
		
		self.window.add(hbox)
		
		hbox.show()
		vbox.show()
		label.show()
		self.text.show()
		self.menu.show()
		self.window.show()
		self.menu_show()
		
		
	def menu_show(self):
		self.model_menu.clear()
		pixbuf = gtk.gdk.pixbuf_new_from_file_at_size("exit.png", 48, 48)
		self.model_menu.append(["Close", pixbuf]) 
		pixbuf = gtk.gdk.pixbuf_new_from_file_at_size("save.png", 48, 48)
		self.model_menu.append(["Save", pixbuf]) 
		
	def menu_handler(self, widget, data=None):
		if data[0] == 0:
			self.window.destroy()
		elif data[0] == 1: 
			textbuffer = self.text.get_buffer()
			if self.item.field_present("Text"):
				print "field ok"
				t = textbuffer.get_text(textbuffer.get_start_iter(), textbuffer.get_end_iter(), include_hidden_chars=True)
				self.item.field_select("Text").set_value(t)
				print t
			print "saving"
			self.dba.save()
			